Package ru.bitel.bgbilling.apps.inet.access.sa

# Class ProtocolHandlerAdapter

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.apps.inet.access.sa.ProtocolHandlerAdapter

All Implemented Interfaces:
  `ProtocolHandler`, `DhcpProtocolHandler`, `RadiusProtocolHandler`, `ru.bitel.common.worker.Destroyable`

public class ProtocolHandlerAdapter extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements ProtocolHandler, ru.bitel.common.worker.Destroyable
Адаптер для интерфейса ProtocolHandler. Все методы данного класса пусты.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProtocolHandlerAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  `void`
  `init(Setup setup, int moduleId, InetDevice inetDevice, InetDeviceType inetDeviceType, ParameterMap deviceConfig)`
  `void`
  `postprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)`
  Постобработка RADIUS-запроса Access-Request
  `void`
  `postprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)`
  Постобработка RADIUS-запроса Accounting-Request
  `void`
  `postprocessDhcpRequest(DhcpPacket request, DhcpPacket response)`
  Постобработка DHCP-запроса
  `void`
  `preprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)`
  Предобработка RADIUS-запроса Access-Request
  `void`
  `preprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)`
  Предобработка RADIUS-запроса Accounting-Request
  `void`
  `preprocessDhcpRequest(DhcpPacket request, DhcpPacket response)`
  Предобработка DHCP-запроса

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.apps.inet.access.sa.ProtocolHandler

  `configParameterList`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.network.radius.RadiusProtocolHandler

  `overrideNasIdentifier`

- ## Constructor Details

  - ### ProtocolHandlerAdapter

    public ProtocolHandlerAdapter()

- ## Method Details

  - ### init

    public void init(Setup setup, int moduleId, InetDevice inetDevice, InetDeviceType inetDeviceType, ParameterMap deviceConfig) throws Exception
    Specified by:
      `init` in interface `ProtocolHandler`
    Throws:
      `Exception`

  - ### destroy

    public void destroy() throws Exception
    Specified by:
      `destroy` in interface `ru.bitel.common.worker.Destroyable`
    Throws:
      `Exception`

  - ### postprocessAccessRequest

    public void postprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws Exception
    Description copied from interface: `RadiusProtocolHandler`
    Постобработка RADIUS-запроса Access-Request
    Specified by:
      `postprocessAccessRequest` in interface `RadiusProtocolHandler`
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `Exception`

  - ### postprocessAccountingRequest

    public void postprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws Exception
    Description copied from interface: `RadiusProtocolHandler`
    Постобработка RADIUS-запроса Accounting-Request
    Specified by:
      `postprocessAccountingRequest` in interface `RadiusProtocolHandler`
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `Exception`

  - ### preprocessAccessRequest

    public void preprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws Exception
    Description copied from interface: `RadiusProtocolHandler`
    Предобработка RADIUS-запроса Access-Request
    Specified by:
      `preprocessAccessRequest` in interface `RadiusProtocolHandler`
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `Exception`

  - ### preprocessAccountingRequest

    public void preprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet) throws Exception
    Description copied from interface: `RadiusProtocolHandler`
    Предобработка RADIUS-запроса Accounting-Request
    Specified by:
      `preprocessAccountingRequest` in interface `RadiusProtocolHandler`
    Parameters:
      `request` -
      `response` -
      `connectionSet` -
    Throws:
      `Exception`

  - ### preprocessDhcpRequest

    public void preprocessDhcpRequest(DhcpPacket request, DhcpPacket response) throws Exception
    Description copied from interface: `DhcpProtocolHandler`
    Предобработка DHCP-запроса
    Specified by:
      `preprocessDhcpRequest` in interface `DhcpProtocolHandler`
    Parameters:
      `request` -
      `response` -
    Throws:
      `Exception`

  - ### postprocessDhcpRequest

    public void postprocessDhcpRequest(DhcpPacket request, DhcpPacket response) throws Exception
    Description copied from interface: `DhcpProtocolHandler`
    Постобработка DHCP-запроса
    Specified by:
      `postprocessDhcpRequest` in interface `DhcpProtocolHandler`
    Parameters:
      `request` -
      `response` -
    Throws:
      `Exception`